Subject: Re: bug#73813: 30.0.91; icomplete-mode keymap unusable in xterm for for/backward completions

From: Robert Pluim <[email-masked]>
Date: Fri, 18 Oct 2024 09:59:39 +0200

>>>>> On Thu, 17 Oct 2024 15:53:18 +0000, Van Ly <[email-masked]> said:

    >> >> Thatʼs possible, I guess `next-line' and `previous-line' arenʼt that
    >> >> useful in that context.
    >> >> 
    >> >> But this is an area with a lot of history regarding the bindings, so
    >> >> weʼd need to be careful. Perhaps we should consider '<left>' and
    >> >> '<right>' instead, like `icomplete-fido'. Iʼm sure opinions will vary
    >> >> :-)
    >> >> 

    Van> In view-mode, are the self-insert bindings a bug or a feature?

`icomplete-mode' is not a viewing mode.

    Van> One more gotcha.  Inside a tmux session on xterm, emacsclient won't see
    Van> C-, and C-. and maybe there are setting changes needed there.
    >> 
    >> They work for me when using tmux as-is, but not when I use
    >> TERM=xterm-mono inside tmux
    >> 

    Van> Why not enable the option to switch "emacsclient --color=no"?

That already exists. Either put '(tty-color-mode . no)' in your
`default-frame-alist', or do

(set-frame-parameter nil 'tty-color-mode 'no)

after youʼve connected.

Robert
--